Subject: Re: bug#73877: 30; rust-ts-mode: highlight the possible type suffix of number literals

From: Randy Taylor <[email-masked]>
Date: Sun, 27 Oct 2024 19:07:41 +0000

On Thursday, October 24th, 2024 at 11:22, Christophe TROESTLER <[email-masked]> wrote:
> 
> 
> Hi,
> 
> Thanks for your comments. Here is an updated patch (against emacs-30, let me know if you would prefer the emacs-29 branch).
> 
> Best,
> C.

Thanks Christophe.

This should be against the master branch.

It will need a commit message (see the CONTRIBUTE file) and a NEWS entry.

+(defcustom rust-ts-mode-highlight-number-literal-type nil
I'm unsure about this name since it's a little misleading. The type
is still highlighted if this is nil, but the same as the number.
I don't really have a better suggestion though, and anything else
would be longer and probably a little unruly. I was thinking about
rust-ts-mode-highlight-number-literal-type-separately but...

Maybe we drop the literal part?

Does anyone else have any thoughts/suggestions?

+  :version "30.1"
Should be "31.1".

For rust-ts-test-font-lock, I'm wondering if we should split that up to
a new ert-deftest. If we have more customizations in the future we'd
probably end up doing that anyway.
Also, I'm not sure we need to bother resetting the rust-ts-mode-highlight-number-literal-type variable.